mha-dbrecover - rebuild a MHonArc archive database

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- AVAILABILITY
- AUTHOR

# NAME

mha-dbrecover - rebuild a MHonArc archive database

# SYNOPSIS

mha-dbrecover [options]

# DESCRIPTION

mha-dbrecover is a utility program that is part of the MHonArc software package. The program allows can be used to rebuild a MHonArc archive database from the HTML message files. This allows database recovery if the database gets corrupted or accidentally deleted.

The documentation for MHonArc is distributed in HTML format. Due to its size and organization, it is not suited for manpage format. Consult your system administrator for where the documentation has been installed, or see AVAILABILITY on where you can access the documentation on the web.

# OPTIONS

mha-dbrecover takes all the options available to mhonarc along with the following additional options:

`-dbr-startnum` #
  The starting message number to recover data from. This option is useful if you have many message files in a directory, but you only want to recover a subset of the files.

  If this option is not specified, the starting number is 0.

`-dbr-endnum` #
  The ending message number to recover data from. This option is useful if you have many message files in a directory, but you only want to recover a subset of the files.

  If this option is not specified, all messages starting from `-dbr-startnum` will be recovered.

NOTE: Only a subset of the options available to mhonarc are actually supported since many options are not applicable for recovering operations.

# AVAILABILITY

<http://www.mhonarc.org/>

# AUTHOR

Earl Hood, mhonarc@mhonarc.org

MHonArc comes with ABSOLUTELY NO WARRANTY and MHonArc may be copied only under the terms of the GNU General Public License, which may be found in the MHonArc distribution.

mha-dbrecover - rebuild a MHonArc archive database